<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['product_categories', 'logo', 'href' => '#']));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['product_categories', 'logo', 'href' => '#']), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars); ?>

<a href="<?php echo e($href); ?>">
    <div class="bg-white overflow-hidden shadow-xl sm:rounded-lg">
        <div class="max-w-sm mx-auto bg-white rounded-lg shadow-lg overflow-hidden flex items-center justify-center p-4 hover:shadow-xl transition-shadow duration-300">
            
            <!-- Logo -->
            <div class="shrink-0 flex items-center justify-center w-1/2">
                <?php if($logo): ?>
                    <img src="<?php echo e(asset('images/logos/' . $logo)); ?>" alt="品牌類別logo" class="w-16 h-16">
                <?php endif; ?>
            </div>

            <!-- 廠商名稱 -->
            <div class="w-1/2 flex items-center justify-center">
                <h3 class="text-2xl font-semibold text-gray-900"><?php echo e($product_categories); ?></h3>
            </div>
        </div>
    </div>
</a>
<?php /**PATH /home/ilandtower/public_html/inquiry20250326/resources/views/components/product-categories.blade.php ENDPATH**/ ?>